baseurl = "https://mehl.mx/"
languageCode = "en-GB"
title = "Max Mehl"
theme = [ "hugo-sustain", "hugo-cloak-email", "hugo-mastodon-comments", "hugo-snap-gallery" ]
summaryLength = 50

[markup.highlight]
  codeFences = true
  style = "emacs"
# English quotation marks
[markup.goldmark.extensions.typographer]
  leftDoubleQuote = '“'
  rightDoubleQuote = '”'

[permalinks]
  blog = "/blog/:year/:slug"

[params]
  avatar = "profile.png"
  author = "Max Mehl"
  description = "Open Source expert with background in tech and policy. Focused on strategy, governance, and software supply chains. Building sustainable digital environments."
  keywords = "open source, free software, Deutsche Bahn, DB Systel, FSFE, management, campaign, communication, strategy, konstanz, berlin, munster, IT service, politics, administration, scouts, founder"

  # Custom assets can be linked with their paths relative to static/
  custom_css = ["comments/mastodon-comments.css"]
  custom_js  = ["comments/getcomments.js"]

[params.social]
  Github        = "mxmehl"
  Git           = "https://src.mehl.mx/mxmehl"
  Email         = ""
  # Twitter       = "mxmehl"
  LinkedIn      = "mxmehl"
  Stackoverflow = "users/4273755/mxmehl"
  Mastodon      = "mastodon.social/@mxmehl"
  # Diaspora      = "diasp.eu/u/mxmehl"

[params.matomo]
  trackedurl = "//mehl.mx/"
  siteid     = "9"

[params.mastodoncomments]
  # Link to your Mastodon profile. Please use the format https://<instanceURL>/users/<youruser>
  user    = "https://mastodon.social/users/mxmehl"
  # A regex which defines the relative path for URLs which you want to grep comments for
  regex   = '/blog/\d\d\d\d/.+$'
  # Contact address or URL. Can be a relative or absolute URL, or also a mailto:// address
  contact = "/contact/"

## Main Menu
[[menu.main]]
  name = "Start"
  weight = 100
  identifier = "start"
  url = "/"
[[menu.main]]
  name = "Updates"
  identifier = "blog"
  weight = 200
  url = "/blog/"
[[menu.main]]
  name = "Links"
  identifier = "links"
  weight = 300
  url = "/links/"
[[menu.main]]
  name = "IT Services"
  identifier = "it"
  weight = 400
  url = "/it/"
[[menu.main]]
  name = "Contact"
  identifier = "contact"
  weight = 500
  url = "/contact/"

[privacy.youtube]
  disable = false
  privacyEnhanced = true

# Modules
[[module.mounts]]
  # Make static images available as image assets by default
  source = "static/img/"
  target = "assets/images/"

[imaging]
  compression = 'lossy'
  quality = 90
